#include <bits/stdc++.h>

using namespace std;

long long Sb(int, int);

int main(){
int a, b; cin >> a >> b;
long long c = Sb(a, b);
cout << c;

    return 0;
}

long long Sb(int a, int b){
    if( a == 0 & b == 0){ return 0;}
    if(a == 0){ return b;}
    if( b == 0) { return a;}
    int x = a % 10;
    int y = b % 10;
    if( x == y){ return Sb(a/10, b/10) * 100 + x + 10 * x;}
    return Sb(a/10, b/10) * 10 + max(x, y);
}